MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
FatalError.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
Include dependency graph for FatalError.hxx:

Go to the source code of this file.

## Functions
gcc_noreturn void | FatalError (const char *msg)
| Log the specified message and abort the process. More...
gcc_noreturn void | FormatFatalError (const char *fmt,...)
gcc_noreturn void | FatalSystemError (const char *msg)
| Call this after a system call has failed that is not supposed to fail. More...
gcc_noreturn void | FormatFatalSystemError (const char *fmt,...)

## Function Documentation

gcc_noreturn void FatalError | ( | const char * | msg | ) |

Log the specified message and abort the process.

gcc_noreturn void FatalSystemError | ( | const char * | msg | ) |

Call this after a system call has failed that is not supposed to fail.

Prints the given message, the system error message (from errno or GetLastError()) and abort the process.

gcc_noreturn void FormatFatalError | ( | const char * | fmt,
|  |  | ...
| ) |  |

gcc_noreturn void FormatFatalSystemError | ( | const char * | fmt,
|  |  | ...
| ) |  |